API referenceActions
Create
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/actions" \ -H "Content-Type: application/json" \ -d '{ "label": "string", "kind": "refresh_data_source", "config": { "kind": "refresh_data_source", "dataSourceId": "string" } }'{ "data": { "id": "string", "workspaceId": "string", "key": "string", "label": "string", "kind": "refresh_data_source", "config": { "kind": "refresh_data_source", "dataSourceId": "string" }, "enabled": true, "createdAt": "string", "updatedAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}